#!/bin/sh

# postinst执行脚本
# 添加快捷方式软链接
# WatchData

# pcsc daemon名称
DAEMON_NAME=wdpcscd_gdca

# 通讯服务名称
WDSERVER_NAME=WDTokenServer_gdca

# 用户工具名称
UKTOOL_NAME=WDUSBKeytool_gdca

# UI进程名称
UI_NAME=WDUIServer_gdca


# pcsc-lite so库名称
PCSCLITE_LIB_NAME=libpcsclite_wdv5

# WatchData主目录ROOT
DDIR_ROOT=/opt/apps/com.gdca.gdcaclient/files/driver/watch/
DDIR_PCSC=$DDIR_ROOT/pcsc
WDSERVER_PATH=$DDIR_PCSC/WDTokenServer_gdca

DDIR_ENTRIES=$DDIR_ROOT/entries
DDIR_APPLICATIONS=$DDIR_ENTRIES/applications

# 快捷方式路径
APP_START_DIR=/usr/share/applications
APP_START_NAME=com.watchdata.gdca.desktop

#关闭正在运行的工具
KillTool

#终止UI进程
KillUI

#终止已运行的服务
KillService


if [  ! -f $DDIR_PCSC/$PCSCLITE_LIB_NAME.so.1 ]; then
	ln -sf $DDIR_PCSC/$PCSCLITE_LIB_NAME.so.1.0.0 $DDIR_PCSC/$PCSCLITE_LIB_NAME.so.1
fi

#创建开始菜单快捷方式
#if [  ! -f $APP_START_DIR/$APP_START_NAME ]; then
#	ln -sf $DDIR_APPLICATIONS/$APP_START_NAME $APP_START_DIR/$APP_START_NAME
#fi

#启动 WDTokenServer
#$WDSERVER_PATH &

