#! /bin/bash


# pcsc-lite so库名称
PCSCLITE_LIB_NAME=libpcsclite_wdv5

# WatchData主目录ROOT
DDIR_ROOT=/opt/apps/com.gdca.gdcaclient/files/driver/watch/
DDIR_PCSC=$DDIR_ROOT/pcsc

DDIR_ENTRIES=$DDIR_ROOT/entries
DDIR_APPLICATIONS=$DDIR_ENTRIES/applications

# 快捷方式路径
APP_START_DIR=/usr/share/applications
APP_START_NAME=com.watchdata.uktool.gdca.desktop

# 开机自启动路径
XDG_AUTOSTART_DIR=/etc/xdg/autostart/com.watchdata.tokenserver.gdca.desktop

source $(dirname "$0")/common.sh

#关闭正在运行的工具
KillTool

#终止UI进程
KillUI

#终止已运行的服务
KillService

#删除pcsclite软链接
if [ -f $DDIR_PCSC/$PCSCLITE_LIB_NAME.so.1 ]; then
	rm -f $DDIR_PCSC/$PCSCLITE_LIB_NAME.so.1
fi

#删除开始菜单快捷方式
if [ -f $APP_START_DIR/$APP_START_NAME ]; then
	rm -f $APP_START_DIR/$APP_START_NAME
fi

#清理WDTokenServer开机启动项
if [ -f $XDG_AUTOSTART_DIR ]; then
	rm -f $XDG_AUTOSTART_DIR
fi

